﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="OverviewDemo.aspx.cs" Inherits="OverviewDemo" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Telerik ASP.NET Example</title>
    <link rel="stylesheet" href="styles.css" type="text/css" />

</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" ShowChooser="true" />
 
    <div class="demo-container no-bg">
        <div class="order-conf">
            <ul>
                <li>
                    <telerik:RadComboBox ID="RadComboBoxProduct" runat="server" Height="200" Width="200"
                        DropDownWidth="310" EmptyMessage="Choose a Product" HighlightTemplatedItems="true"
                        EnableLoadOnDemand="true" Filter="StartsWith" OnItemsRequested="RadComboBoxProduct_ItemsRequested"
                        Label="Product: " Skin="Office2010Silver">
                        <HeaderTemplate>
                            <table style="width: 275px" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td style="width: 175px;">
                                        Product Name
                                    </td>
                                    <td style="width: 60px;">
                                        Quantity
                                    </td>
                                    <td style="width: 40px;">
                                        Price
                                    </td>
                                </tr>
                            </table>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <table style="width: 275px" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td style="width: 175px;">
                                        <%# DataBinder.Eval(Container, "Text")%>
                                    </td>
                                    <td style="width: 60px;">
                                        <%# DataBinder.Eval(Container, "Attributes['UnitsInStock']")%>
                                    </td>
                                    <td style="width: 40px;">
                                        <%# DataBinder.Eval(Container, "Attributes['UnitPrice']")%>
                                    </td>
                                </tr>
                            </table>
                        </ItemTemplate>
                    </telerik:RadComboBox>
                    <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator1" ControlToValidate="RadComboBoxProduct"
                        Display="Dynamic" ErrorMessage="!" CssClass="validator">
                    </asp:RequiredFieldValidator>
                </li>
                <li>
                    <telerik:RadComboBox ID="RadComboBoxRegion" runat="server" Height="200" Width="200"
                        EmptyMessage="Choose a Region" MarkFirstMatch="true" EnableLoadOnDemand="true"
                        Label="Region: " Skin="Office2010Silver">
                        <WebServiceSettings Path="Territories.asmx" Method="GetTerritories" />
                    </telerik:RadComboBox>
                    <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator2" ControlToValidate="RadComboBoxRegion"
                        Display="Dynamic" ErrorMessage="!" CssClass="validator" />
                </li>
                <li>
                    <telerik:RadComboBox ID="RadComboBoxDealer" runat="server" Height="200" Width="200"
                        Filter="Contains" MarkFirstMatch="true" ChangeTextOnKeyBoardNavigation="false"
                        DataSourceID="SqlDataSource1" DataTextField="CompanyName" DataValueField="SupplierID"
                        Label="Dealer: " Skin="Office2010Silver">
                    </telerik:RadComboBox>
                    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                        SelectCommand="SELECT [SupplierID], [CompanyName] FROM [Suppliers] ORDER BY [CompanyName]">
                    </asp:SqlDataSource>
                </li>
                <li>
                    <telerik:RadComboBox ID="RadComboBoxPaymentMethod" runat="server" Width="200"
                        Label="Payment Method:" Skin="Office2010Silver" />
                    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/PaymentMethods.xml" />
                </li>
            </ul>
            <p class="buttons">
                <asp:Button ID="CheckoutButton" runat="server" Text="Checkout"
                    OnClick="CheckoutButton_Click" />
            </p>
        </div>
 
        <asp:PlaceHolder runat="server" ID="OrderTable" Visible="false">
            <table class="order-summary">
                <tbody>
                    <tr>
                        <th>Product:</th>
                        <td><asp:Label ID="LabelProductName" runat="server" /></td>
                    </tr>
                    <tr>
                        <th>Region:</th>
                        <td><asp:Label ID="LabelRegionName" runat="server" /></td>
                    </tr>
                    <tr>
                        <th>Dealer:</th>
                        <td><asp:Label ID="LabelDealerName" runat="server" /></td>
                    </tr>
                    <tr>
                        <th>Payment:</th>
                        <td><asp:Label ID="LabelPaymentMethodName" runat="server" /></td>
                    </tr>
                    <tr class="price-row">
                        <th>Price:</th>
                        <td><asp:Literal ID="LabelPriceValue" runat="server" /></td>
                    </tr>
                </tbody>
            </table>
        </asp:PlaceHolder>
 
    </div>
    </form>
</body>
</html>