﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class OverviewDemo : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            RadComboBoxPaymentMethod.LoadContentFile("~/PaymentMethods.xml");
        }
    }

    protected void RadComboBoxProduct_ItemsRequested(object sender, RadComboBoxItemsRequestedEventArgs e)
    {
        string sqlSelectCommand = "SELECT [ProductID], [ProductName], [UnitPrice], [UnitsInStock] from [Products] WHERE [ProductName] LIKE @text + '%' ORDER BY [ProductName]";

        SqlDataAdapter adapter = new SqlDataAdapter(sqlSelectCommand,
            ConfigurationManager.ConnectionStrings["NorthwindConnectionString"].ConnectionString);
        adapter.SelectCommand.Parameters.AddWithValue("@text", e.Text);
        DataTable dataTable = new DataTable();
        adapter.Fill(dataTable);

        foreach (DataRow dataRow in dataTable.Rows)
        {
            RadComboBoxItem item = new RadComboBoxItem();

            item.Text = (string)dataRow["ProductName"];
            item.Value = dataRow["ProductID"].ToString();

            decimal unitPrice = (decimal)dataRow["UnitPrice"];
            short unitsInStock = (short)dataRow["UnitsInStock"];

            item.Attributes.Add("UnitPrice", unitPrice.ToString());
            item.Attributes.Add("UnitsInStock", unitsInStock.ToString());

            item.Value += ":" + unitPrice;

            RadComboBoxProduct.Items.Add(item);

            item.DataBind();
        }
    }

    protected void CheckoutButton_Click(object sender, EventArgs e)
    {
        OrderTable.Visible = true;
        LabelProductName.Text = RadComboBoxProduct.Text;
        LabelRegionName.Text = RadComboBoxRegion.Text;
        LabelDealerName.Text = RadComboBoxDealer.Text;
        LabelPaymentMethodName.Text = RadComboBoxPaymentMethod.Text;

        if (String.IsNullOrEmpty(RadComboBoxProduct.SelectedValue))
        {
            LabelPriceValue.Text = String.Empty;
        }
        else
        {
            LabelPriceValue.Text = RadComboBoxProduct.SelectedValue.Split(new char[] { ':' })[1];
        }
    }
    #region Web Form Designer generated code
    override protected void OnInit(EventArgs e)
    {
        //
        // CODEGEN: This call is required by the ASP.NET Web Form Designer.
        //
        InitializeComponent();
        base.OnInit(e);
    }

    ///        Required method for Designer support - do not modify
    ///        the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
        this.Load += new System.EventHandler(this.Page_Load);

    }
    #endregion
}
